//
//  TextView(printing).h
//  SampleApp
//
//  Created by Masatoshi Nishikata on 18/02/06.
//  Copyright 2006 __MyCompanyName__. All rights reserved.
//

#import <Cocoa/Cocoa.h>

#import "FugoCompletionTextView.h"


@interface PrintingTextView : NSTextView

{
	int		currentPageNumber;
	int		totalPageNumber;
	
	//NSMutableDictionary* rectForPageCache;
}

-(float)  documentWidth;
-(float)  documentHeight;
+(PrintingTextView*)printingTextViewTo:(id)sender;
- (BOOL)knowsPageRange:(NSRangePointer)aRange;
- (NSRect)rectForPage:(int)pageNumber;
-(NSRect)properPageRectFor:(NSRect)aRect;
- (NSPoint)locationOfPrintRect:(NSRect)aRect;
-(void)setPrintPageNumber:(BOOL)flag margin:(float)margin format:(NSMutableAttributedString*)format;
- (void)drawRect:(NSRect)aRect;

@end
